# Class: Form

## M_.Form.Form()

Manage a form

## Constructor

#### new Form()

##### Properties:

Name | Type | Description
--- | --- | ---
`useWebsocket` | type |
`items` | type |
`itemsDefaults` | type |
`model` | type |
`url` | type |

Implements:
  - M_.Observable
  - M_.CRUD

### Methods

#### addItem(item)

##### Parameters:

Name | Type | Description
--- | --- | ---
`item` | type |

#### deleteByFakeGroup(fakeGroupName) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`fakeGroupName` | type |

##### Returns:

Type
  type

#### deleteItem(name) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | type |

##### Returns:

Type
  type

#### find(fieldName) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`fieldName` | type |

##### Returns:

Type
  type

#### getItem(name) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | type |

##### Returns:

Type
  type

#### getItems() → {type}

##### Returns:

Type
  type

#### getItemsByFakeGroup(fakeGroupName) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`fakeGroupName` | type |

##### Returns:

Type
  type

#### getValues(serialized, returnModel) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`serialized` | Boolean | false |
`returnModel` | Boolean | false |

##### Returns:

Type
  type

#### informValidReturnSails(data) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | type |

##### Returns:

Type
  type

#### onBeforeLoad() → {type}

##### Returns:

Type
  type

#### onLoad(model) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`model` | type |

##### Returns:

Type
  type

#### populate(dataOrModel) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`dataOrModel` | type |

##### Returns:

Type
  type

#### reset() → {type}

##### Returns:

Type
  type

#### resetValid() → {type}

##### Returns:

Type
  type

#### setValues(dataOrModel)

##### Parameters:

Name | Type | Description
--- | --- | ---
`dataOrModel` | type |

#### valid() → {type}

##### Returns:

Type
  type

#### validAndAlert() → {type}

##### Returns:

Type
  type